<template>
  <accordion-element id="What is PeerTube's environmental impact?">
    <template #title>
      {{ $gettext('What is PeerTube\'s environmental impact?') }}
    </template>

    <div>
      <p>
        {{ $gettext('As any digital tool, PeerTube inevitably has a negative impact on the environment.') }}
        <br>
        {{ $gettext('However, this impact will vary according to different factors.') }}
      </p>

      <div>
        {{ $gettext('Broadly speaking, these factors are:') }}
        <ul>
          <li>{{ $gettext('The hardware used (Multiple servers? A single server? A Raspberry Pi?);') }}</li>
          <li>{{ $gettext('The energy mix required to run the equipment (Coal-fired? Wind-powered? etc.);') }}</li>
          <li>{{ $gettext('Whether the peer-to-peer (P2P) technology is enabled or not;') }}</li>
          <li>{{ $gettext('Whether the proposed content is a simple mirror of content already existing on other services, or whether it is original;') }}</li>
        </ul>
      </div>

      <p>
        {{ $gettext('These factors provide a very rough estimation of PeerTube\'s environmental impact.') }}
        <br>
        <SafeHTML>
          {{ $gettext('Bear in mind <strong>that is impossible to know the environmental impact of a web service</strong> used in real-life conditions, due to the immense complexity of the links that make-up the very nature of the Internet.', true) }}
        </SafeHTML>
        <br>
        {{ $gettext('However, we think it\'s still important to consider the environmental impact of non-quantifiable elements.') }}
      </p>
      
      <div>
        {{ $gettext('Take YouTube, for example, a service similar to PeerTube:') }}
        <ul>
          <li>{{ $gettext('What is the impact of Google\'s AI training on YouTube videos?') }}</li>
          <li>{{ $gettext('What is the impact of their seemingly complex (and no doubt environmentally costly) recommendation tool?') }}</li>
          <li>{{ $gettext('What is the impact of exploiting cognitive biais to encourage us to stay on the platform and consume videos and ads?') }}</li>
          <li>{{ $gettext('What is the impact of this advertising? If only 1 person in 1,000,000 buys a new SUV as a result of one of these ads, what environmental impact does that represent?') }}</li>
        </ul>
      </div>

      <p>
        {{ $gettext('As we can see from these questions, the issue of environmental impact goes far beyond a simple technological choice.') }}
        <br>
        {{ $gettext('It is the political visions of our tools that can and will define their environmental impact.') }}
      </p>
      
    </div>
  </accordion-element>
</template>

<script>
  import { defineComponent } from 'vue'

  import AccordionElement from '../shared/AccordionElement.vue'

  export default defineComponent({
    components: {
      AccordionElement
    }
  })
</script>
